#include <stdio.h>
#include "arc.h"
#include <descrip.h>

char *getwd(pathname)
char *pathname;
{
    printf("getwd called with %s",pathname);
    strcpy(pathname,"");
    return pathname;
}

INT    rename(from, to)
char	*from;
char	*to;
{
    struct dsc$descriptor_s dfrom = {0, DSC$K_DTYPE_T, DSC$K_CLASS_S, 0};
    struct dsc$descriptor_s dto = {0, DSC$K_DTYPE_T, DSC$K_CLASS_S, 0};
    long cond_value;

    dfrom.dsc$w_length = strlen(from);
    dfrom.dsc$a_pointer = from;
    dto.dsc$w_length = strlen(to);
    dto.dsc$a_pointer = to;
    cond_value = LIB$RENAME_FILE(&dfrom,&dto); 
    if (cond_value == 1)
	return 0;
    else
	return cond_value;
}
INT    system(string)
char	*string;
{
    printf("Cannot execute command %s",string);
    return 0;
}
INT    unlink(name)
char	*name;
{
    struct dsc$descriptor_s dname = {0, DSC$K_DTYPE_T, DSC$K_CLASS_S, 0};
    long cond_value;

    dname.dsc$w_length = strlen(name);
    dname.dsc$a_pointer = name;
    cond_value = LIB$DELETE_FILE(&dname); 
    if (cond_value == 1)
	return 0;
    else
	return cond_value;
}
